org.apache.storm.testing

## Class CompleteTopologyParam

- java.lang.Object
- - org.apache.storm.testing.CompleteTopologyParam

-     public class CompleteTopologyParam
      extends Object

  The param class for the `Testing.completeTopology`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompleteTopologyParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCleanupState()`
    `MockedSources` | `getMockedSources()`
    `Map<String,Object>` | `getStormConf()`
    `Integer` | `getTimeoutMs()`
    `String` | `getTopologyName()`
    `void` | `setCleanupState(Boolean cleanupState)`
    `void` | `setMockedSources(MockedSources mockedSources)`
    `void` | `setStormConf(Map<String,Object> topoConf)`
    `void` | `setTimeoutMs(Integer timeoutMs)`
    `void` | `setTopologyName(String topologyName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompleteTopologyParam

          public CompleteTopologyParam()

  - ### Method Detail

    - #### getMockedSources

          public MockedSources getMockedSources()

    - #### setMockedSources

          public void setMockedSources(MockedSources mockedSources)

    - #### getStormConf

          public Map<String,Object> getStormConf()

    - #### setStormConf

          public void setStormConf(Map<String,Object> topoConf)

    - #### getCleanupState

          public boolean getCleanupState()

    - #### setCleanupState

          public void setCleanupState(Boolean cleanupState)

    - #### getTopologyName

          public String getTopologyName()

    - #### setTopologyName

          public void setTopologyName(String topologyName)

    - #### getTimeoutMs

          public Integer getTimeoutMs()

    - #### setTimeoutMs

          public void setTimeoutMs(Integer timeoutMs)

Copyright © 2019 The Apache Software Foundation. All rights reserved.